Opsview Knowledge Center

Upgrading CentOS or RHEL systems to 5.2.x

Additional information for upgrading CentOS or RHEL systems to 5.2.x

When upgrading RPM based platforms from 4.6.x to 5.2 or 5.x to 5.2, these instructions should be followed to account for the new timeseries packages.

First, you will need to stop watchdog:

sudo service opsview-watchdog stop

Then install the latest version of the opsview-watchdog and opsview-perl packages

sudo yum install opsview-watchdog opsview-perl

You may receive warning messages, these can be ignored:

State file '/opt/opsview/watchdog/run/monit.state': Unable to truncate
State file '/opt/opsview/watchdog/run/monit.state': Unable to truncate

Check to see whether watchdog is running:

sudo /opt/opsview/watchdog/bin/opsview-monit summary

If it's not, then start it:

sudo service opsview-watchdog start

Once watchdog is running, install the new opsview timeseries packages:

sudo yum install opsview-timeseries opsview-timeseries-enqueuer opsview-timeseries-rrd

Once the timeseries packages have been installed, install the remaining opsview packages:

sudo yum install $(rpm -qa --qf '%{NAME}\n' | grep opsview)

Upgrading CentOS or RHEL systems to 5.2.x

Additional information for upgrading CentOS or RHEL systems to 5.2.x